Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Class RequestImpl

    java.lang.Object
      org.joseki.server.RequestImpl

All Implemented Interfaces:
  Request

public class RequestImpl
extends java.lang.Object
implements Request

General pupose implementation of an operation. provides methods to create the operation as well as meet the Request interface.

Version:
  $Id: RequestImpl.java,v 1.5 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`RequestImpl(java.lang.String u, java.lang.String url, java.lang.String name, Dispatcher d, ModelSource aModel, Processor proc)`

Method Summary
`void` | `addArg(java.lang.Object m)`
`boolean` | `containsParam(java.lang.String name)`
`java.util.List` | `getDataArgs()`
`Dispatcher` | `getDispatcher()`
`ModelSource` | `getModelSource()`
`java.lang.String` | `getModelURI()` Get the URI for the source for the operation - the request URI local to the webapp
`java.lang.String` | `getName()`
`java.lang.String` | `getParam(java.lang.String param)`
`java.util.Map` | `getParams()`
`Processor` | `getProcessor()`
`java.lang.String` | `getRequestURL()` The URL used in the request
`void` | `setParam(java.lang.String name, java.lang.String value)`
`void` | `setProcessor(Processor proc)`
`boolean` | `takesArg()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestImpl

    public RequestImpl(java.lang.String u,
                       java.lang.String url,
                       java.lang.String name,
                       Dispatcher d,
                       ModelSource aModel,
                       Processor proc)

Method Detail

### takesArg

    public boolean takesArg()

  Specified by:
    `takesArg` in interface `Request`

### containsParam

    public boolean containsParam(java.lang.String name)

  Specified by:
    `containsParam` in interface `Request`

### setParam

    public void setParam(java.lang.String name,
                         java.lang.String value)

  Specified by:
    `setParam` in interface `Request`

### addArg

    public void addArg(java.lang.Object m)

  Specified by:
    `addArg` in interface `Request`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Request`

### getModelURI

    public java.lang.String getModelURI()

  Description copied from interface: `Request`
  Get the URI for the source for the operation - the request URI local to the webapp

  Specified by:
    `getModelURI` in interface `Request`
  Returns:
    String

### getRequestURL

    public java.lang.String getRequestURL()

  Description copied from interface: `Request`
  The URL used in the request

  Specified by:
    `getRequestURL` in interface `Request`
  Returns:
    String The URL used in the request

### getModelSource

    public ModelSource getModelSource()

  Specified by:
    `getModelSource` in interface `Request`

### getProcessor

    public Processor getProcessor()

  Specified by:
    `getProcessor` in interface `Request`

### setProcessor

    public void setProcessor(Processor proc)

  Specified by:
    `setProcessor` in interface `Request`

### getDispatcher

    public Dispatcher getDispatcher()

  Specified by:
    `getDispatcher` in interface `Request`

### getParams

    public java.util.Map getParams()

  Specified by:
    `getParams` in interface `Request`

### getParam

    public java.lang.String getParam(java.lang.String param)

  Specified by:
    `getParam` in interface `Request`

### getDataArgs

    public java.util.List getDataArgs()

  Specified by:
    `getDataArgs` in interface `Request`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.